[Gtkradiant] New GPL code startup error

Joseph, William WJoseph at europe.ea.com
Fri Feb 24 04:21:01 CST 2006

Are you aware of the VC8 compile guide?

To run GtkRadiant you must follow the instructions in COMPILING exactly:

The games folder from your 1.4 installation will *not* work with 1.5.
You'll have to delete your ./install folder and start again. Make sure
you checkout the Q3Pack from svn into./games/Q3Pack/ before running


From: gtkradiant-bounces at zerowing.idsoftware.com
[mailto:gtkradiant-bounces at zerowing.idsoftware.com] On Behalf Of Tim
Sent: 24 February 2006 00:24
To: gtkradiant at zerowing.idsoftware.com
Subject: [Gtkradiant] New GPL code startup error


I don't know if this is the right place to post this, but I just barely
succeeded in compiling the GPL 1.5 source using VC Express 2005. I then
copied the games folder from a 1.4.0 installation into the GPL
GtkRadiant folder, then ran "python ./GtkRadiant/install.py" as per
instructions, and all seemed to go well. 

However, after launching the GtkRadiant executable in the install
folder, I get a string of errors on startup:

runtime error: game attribute "archivetypes" not found in "q3.game"
runtime error: game attribute "entities" not found in " q3.game"
runtime error: game attribute "shaders" not found in "q3.game"

and so on...

Does anyone know what I'm missing? Thanks!

More information about the Gtkradiant mailing list